
.nav-align-top > .nav.top_tab{z-index:1;}
.nav-align-top .nav-tabs.top_tab .nav-link.active{box-shadow:none;}
.sch_wrap{background:#fff; padding:30px 20px 40px; position:relative; border-radius: 0 15px 15px;}
.sch_wrap .card{border:1px solid #eee; display:block;}
.nav-align-top :not(.nav-pills) ~ .tab-content.card{border:1px solid #eee; border-radius:15px;}

.sch_wrap .tab-content{padding:0; border-radius:0;}
.sch_wrap .tab-content > .tab-pane{width:100%;}

.sch_table_wrap{overflow-y:scroll; height:240px;}
.sch_table_wrap::-webkit-scrollbar {width: 10px;}
.sch_table_wrap::-webkit-scrollbar-thumb {background: #ddd; border-radius: 10px;}
.sch_table_wrap::-webkit-scrollbar-track {background: #eee; border-radius: 10px;box-shadow: inset 0px 0px 5px white;}

.sch_tlt_wrap h6{font-size:18px; font-weight:500; color:#333; padding-left:10px; position:relative; letter-spacing:-1px;}
.sch_tlt_wrap h6:before{content:''; width:5px; height:5px; border-radius:50%; display:block; background:var(--ad-primary); position:absolute; left:0; top:0; bottom:0; margin:auto;}
.sch_tlt_wrap.com_tlt h6:after{content:''; width:30px; height:30px; display:block; background:#e6e6ff url('/images/cms/sch_com_icon.png') center no-repeat; background-size:19px; border-radius:50%; position:absolute; top:0; bottom:0; right:0;}

.sch_table{table-layout: fixed;}
.sch_table tbody th.wdays{color:#666;}
.sch_table tbody th.wdays span{font-size:13px; display:block; margin-top:3px; color:#999; line-height: 1;}
.sch_table tbody th, .table.sch_table tbody  td{border:1px solid #eee !important; border-width:0 1px 1px 0 !important;}
.sch_table tbody td:last-child{border-width:0 0 1px 0 !important;}
.sch_table .sch_ellips{display:block; text-align:left; width:100%; text-overflow:ellipsis; white-space:nowrap; overflow:hidden; color:#333;}
.sch_table .sch_active{background:#c8c9ec;}
.sch_table .sch_active td{font-weight:500; color:#333;}

.sch_table.time_table tbody td{padding:20px 10px;}
.sch_table.time_table tbody td > div{height:30px; }
.sch_table.time_table tbody td > div + div{margin-top:10px;}
.div-overlay {position:relative; text-align: left; vertical-align: middle; padding-left:15px; top:0; bottom:0; left:2%; margin:auto; color:#333; line-height:30px; text-overflow:ellipsis; overflow:hidden; white-space:nowrap; cursor:pointer; border-radius:15px; opacity:0.6; font-weight:400;}
.div-overlay:before{content:'Â·'; color:#333; position:absolute; left:10px;}
.div-overlay.time_active{opacity:1; font-weight: 500;}
.div-overlay.sch_ing_start{border-radius:0 15px 15px 0; left:0;}
.div-overlay.sch_ing_end{border-radius:15px 0 0 15px; left:auto; right:0;}
.div-overlay.sch_div_com{padding-left:32px}
.div-overlay.sch_div_com:before{content: '';
    width: 20px;
    height: 20px;
    display: block;
    background: var(--ad-primary) url(/images/cms/sch_com_icon_w.png) center no-repeat;
    background-size: 15px;
    border-radius: 50%;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 5px;
    margin:auto;}

/* section calendar */
.bin-box{
    height: 30px;
    position:relative;
}

.sec_cal {border: 1px solid #eee; border-radius: 10px; overflow: hidden;}
.sec_cal .cal_nav {display: flex; align-items: center; justify-content: space-between; background:var(--ad-dark); color:#fff; padding:10px; font-weight:700; font-size: 18px; text-align: center; line-height: normal;}
.sec_cal .cal_nav .go-prev,
.sec_cal .cal_nav .go-next {position: static; width: auto; height: auto; font-size: 24px; color: #fff; margin: 0;}
.sec_cal .cal_nav .go-prev:before,
.sec_cal .cal_nav .go-next:before {content: none;}
.sec_cal .cal_today {padding:16px 0; text-align:center; color:#666; display:block; position:relative;}
.sec_cal .cal_today .daily_year,
.sec_cal .cal_today .daily_month,
.sec_cal .cal_today .daily_w_day {display:block; font-weight:500;}
.sec_cal .cal_today .daily_month {font-weight:700; font-size:32px; margin-top:10px;}
.sec_cal .cal_today .daily_day {text-align:center; font-size: 30px; font-weight: 800; display: inline-block; color:var(--ad-primary); line-height:100%;}
.sec_cal .cal_today .daily_w_day {display:inline-block; text-align:center; font-size:1rem;}
.sec_cal .cal_today .comment {position:absolute; top: 0; left:0; right:0; display: flex; align-items: center; justify-content: center; width: 100%; height: 100%; font-size:14px; color:#fff; margin-bottom:0; margin:auto; opacity:0; transition:opacity 0.6s; background-color: rgba(16, 25, 36, .4);}
.sec_cal .cal_today:hover .comment {opacity:1;}

.cal_nav {font-weight: 700; font-size: 38px; line-height: 78px; position:relative; color:#333;}
.cal_nav .year-month { width: 300px; text-align: center;}
.cal_nav .year-week{ width: 600px; text-align: center;}
.cal_nav .nav {display: flex; border: 1px solid #333333; border-radius: 5px;}
.cal_nav .go-prev,
.cal_nav .go-next {display: block; width: 50px; height: 78px; font-size: 0; display: flex; justify-content: center; align-items: center;  position:absolute; top:0; bottom:0; margin:auto; background-color: transparent;}

.cal_nav .go-prev{left:5px;}
.cal_nav .go-next{right:5px;}
.cal_nav .go-prev::before,
.cal_nav .go-next::before {content: ""; display: block; width: 20px;height: 20px; border: 2px solid #aaa; border-width: 3px 3px 0 0; transition: border 0.1s;}
.cal_nav .go-prev:hover::before,
.cal_nav .go-next:hover::before {border-color: var(--ad-primary);}
.cal_nav .go-prev::before {transform: rotate(-135deg);}
.cal_nav .go-next::before {transform: rotate(45deg);}

.sec_cal .cal_wrap::after { top: 368px;}

.sec_cal .cal_wrap .day:nth-child(7n) {color: var(--ris-success);}
.sec_cal .cal_wrap .day:nth-child(7n-6) {color: var(--ris-danger);}
.sec_cal .cal_wrap .day.disable {color: #ddd;}

/*ë¯¸ë‹ˆë‹¬ë ¥*/
.sch_wrap .card.cal_monthly{display:flex; flex-direction:column; justify-content: space-between;}
.cal_month_tlt{display:flex; justify-content: space-between; align-items:flex-start; margin-bottom: 20px;}
.cal_month_tlt p {font-size:14px; line-height:100%; color:#999;}
.cal_month_tlt strong{font-size:40px; line-height:100%; color:var(--ad-primary); font-weight: 800;}

.mini_cal p{margin-bottom:5px;}
.mini_cal span{letter-spacing:100%; width:25px; height:25px; line-height:25px; display:block;}
.mini_cal_days{display:flex; justify-content: space-between;}
.mini_cal_days span{display:block; text-align:center; color:#333; font-weight:500;}
.mini_cal_row{display:flex; justify-content: space-between;}
.mini_cal_row > span{display:block; text-align:center; color:#333;}
.mini_cal_row > span.cal_xcpt{color:#ccc;}
.mini_cal_row > span.mini_cal_today{color:#fff; border-radius:50%; background:var(--ad-primary);}
.mini_cal span.cal_stu{color: var(--ris-success);}
.mini_cal span.cal_sun{color: var(--ris-danger);}

.sch_table th{white-space: nowrap;}
.sch_table.time_table.time_cal td > a{display:block; width:35px; height:35px; line-height:35px; border-radius:50%; color:#333; margin:5px 0;}
.sch_table.time_table.time_cal td{vertical-align: top;}
.sch_table.time_table.time_cal td > a.xcpt{color:#ccc;}
.sch_table.time_table.time_cal td:hover > a:not(.xcpt){background:#eee; color:#333;}
.sch_table.time_table.time_cal td > a.today{background:var(--ad-primary); color:#fff;}

.sch_table.time_table td .div-overlay > a{color:#333; text-overflow:ellipsis; overflow:hidden; white-space: nowrap;}

.sch_table.sch_detail th{text-align:center;}
.sch_table.sch_detail td{padding:15px 10px;}
.sch_table.sch_detail td > p{margin-bottom:0;}
.sch_table.sch_detail td .label_wrap{position:relative; padding-left:20px;}
.sch_table.sch_detail td .label_wrap > .label_color{width:15px; height:15px; display:inline-block; border-radius:50%; border:1px solid #ddd; margin-right:5px; position:absolute; left:0; top:0; bottom:0; margin:auto;}


.cal_date{text-align:center; margin-bottom: 20px;}
.no_dot{list-style-type: none; text-align: center;}
.time_row{position: relative; margin:0px; margin:0px; padding:0px;}


@media (max-width: 1440px){
    .sch_wrap .card.cal_today{display:none;}
    .sch_wrap .card.cal_monthly{display:none;}
    .sec_cal > * + *{margin-left:0;}

    .sec_cal .card.w15x42x42_42,
    .sec_cal .card.w40x40x20_40,
    .sec_cal_month .card.w30x70_30,
    .sec_cal_month .card.w30x70_70{width:calc(50% - 10px);}

    .cal_date{font-size:28px;}

}

@media (max-width: 1280px){
    .sec_cal_month .card.w30x70_30,
    .sec_cal_month .card.w30x70_70{width:100%; max-width:unset;}
    .sec_cal_month .card.w30x70_70{margin-top:20px;}
}

@media (max-width: 1024px){


    .time_table_wrap{overflow-x:scroll;}
    .table.sch_table.time_table{table-layout: fixed;}
    .table.sch_table.time_table thead th{width:100px;}

    .cal_date{font-size:22px;}
}

@media (max-width: 768px){
    .sec_cal{flex-wrap:wrap !important;}
    .sec_cal .card.w15x42x42_42,
    .sec_cal .card.w40x40x20_40{width:100%;}
}

@media (max-width: 425px){
    .cal_date{font-size:18px;}
    .cal_nav .go-prev::before, .cal_nav .go-next::before{width:10px; height:10px;}
}

